﻿Imports Infragistics.UltraChart.Shared.Events
Imports Infragistics.UltraChart.Core
Imports Infragistics.UltraChart.Core.Primitives

Public Class Form1
	Private data As DataTable

	Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		Dim rnd = New Random()
		data = New DataTable()
		data.Columns.Add("X", GetType(Integer))
		data.Columns.Add("Y", GetType(Integer))

		For i = 1 To 10
			Dim row = data.NewRow()
			row.SetField(0, i)
			row.SetField(1, rnd.Next(100))
			data.Rows.Add(row)
		Next

		UltraChart1.ScatterChart.ColumnX = 0
		UltraChart1.ScatterChart.ColumnY = 1
		UltraChart1.Axis.X.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom
		UltraChart1.Axis.X.RangeMin = 0
		UltraChart1.Axis.X.RangeMax = 11
		UltraChart1.DataSource = data
	End Sub

	Private Sub UltraChart1_FillSceneGraph(sender As Object, e As FillSceneGraphEventArgs) Handles UltraChart1.FillSceneGraph
		Dim xAxis = CType(e.Grid("X"), IAdvanceAxis)
		Dim yAxis = CType(e.Grid("Y"), IAdvanceAxis)

		If xAxis Is Nothing Or yAxis Is Nothing Then
			Return
		End If

		Dim xAxisMin = CInt(xAxis.MapMinimum)
		Dim xAxisMax = CInt(xAxis.MapMaximum)
		Dim xAxisMid = CInt(xAxis.MapMaximum - ((xAxis.MapMaximum - xAxis.MapMinimum) / 2))

		Dim yAxisMin = CInt(yAxis.MapMinimum)
		Dim yAxisMax = CInt(yAxis.MapMaximum)
		Dim yAxisMid = CInt(yAxis.MapMaximum - ((yAxis.MapMaximum - yAxis.MapMinimum) / 2))

		Dim lineVert = New Line(New Point(xAxisMid, yAxisMax), New Point(xAxisMid, yAxisMin))
		lineVert.PE.Stroke = Color.Red

		Dim lineHoriz = New Line(New Point(xAxisMin, yAxisMid), New Point(xAxisMax, yAxisMid))
		lineHoriz.PE.Stroke = Color.Red

		e.SceneGraph.Add(lineVert)
		e.SceneGraph.Add(lineHoriz)
	End Sub
End Class
